Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.smila.datamodel.util
Enum MetadataUtils.CreateFlag

    java.lang.Object
      java.lang.Enum<MetadataUtils.CreateFlag>
          org.eclipse.smila.datamodel.util.MetadataUtils.CreateFlag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MetadataUtils.CreateFlag>

Enclosing class:
  MetadataUtils

    public static enum MetadataUtils.CreateFlag

extends java.lang.Enum<MetadataUtils.CreateFlag>

The Enum CreateFlags.

Enum Constant Summary
`ALL` all missing elements including the last are created.
`NONE` The NONE.
`PARENTS` all missing elements but the last are created.

Method Summary
`static MetadataUtils.CreateFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MetadataUtils.CreateFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARENTS

    public static final MetadataUtils.CreateFlag PARENTS

  all missing elements but the last are created.

### ALL

    public static final MetadataUtils.CreateFlag ALL

  all missing elements including the last are created.

### NONE

    public static final MetadataUtils.CreateFlag NONE

  The NONE.

Method Detail

### values

    public static MetadataUtils.CreateFlag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MetadataUtils.CreateFlag c : MetadataUtils.CreateFlag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MetadataUtils.CreateFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD